Bug 114153 - libomni placed in the wrong path
libomni placed in the wrong path
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: Omni (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 05:51 EST by Kaj J. Niemi
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version: 0.9.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-23 12:18:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaj J. Niemi 2004-01-23 05:51:42 EST
Description of problem:
Omni dynamic libraries are placed in /usr/lib/Omni/Omni instead of
/usr/lib/Omni which leads to ghostscript not finding them in the usual
location.

Version-Release number of selected component (if applicable):
0.9.1-1

How reproducible:
Always

Steps to Reproduce:
1. turn debug on in cups
2. print something
3. watch it fail
  
Actual results:
D [23/Jan/2004:12:38:45 +0200] [Job 7] renderer PID kid4=23019
D [23/Jan/2004:12:38:45 +0200] [Job 7] renderer command: gs -q
-dPARANOIDSAFER -dBATCH -dNOPAUSE -sOutputFile=- -sDEVICE=omni
-sDeviceName=HP_LaserJet_4_Plus_4M_Plus -sproperties="Custom
InputTray=AutoSelect media=MEDIA_PLAIN Resolution=600x600
printmode=PRINT_MODE_1_ANY dither=dither=DITHER_LEVEL Rotation=Portrait" -
D [23/Jan/2004:12:38:45 +0200] [Job 7] foomatic-gswrapper: gs
'-dPARANOIDSAFER' '-dBATCH' '-dNOPAUSE' '-sOutputFile=| cat >&3'
'-sDEVICE=omni' '-sDeviceName=HP_LaserJet_4_Plus_4M_Plus'
'-sproperties=Custom InputTray=AutoSelect media=MEDIA_PLAIN
Resolution=600x600 printmode=PRINT_MODE_1_ANY
dither=dither=DITHER_LEVEL Rotation=Portrait' '/dev/fd/0' 3>&1 1>&2
D [23/Jan/2004:12:38:45 +0200] [Job 7] GNU Ghostscript 7.07 (2003-05-17)
D [23/Jan/2004:12:38:45 +0200] [Job 7] Copyright (C) 2003 artofcode
LLC, Benicia, CA.  All rights reserved.
D [23/Jan/2004:12:38:45 +0200] [Job 7] This software comes with NO
WARRANTY: see the file PUBLIC for details.
D [23/Jan/2004:12:38:45 +0200] [Job 7] <<<<<<<<<<<<<<<<<<<<<< ERROR
>>>>>>>>>>>>>>>>>>>>>>>
D [23/Jan/2004:12:38:45 +0200] [Job 7]
D [23/Jan/2004:12:38:45 +0200] [Job 7] Error: Could not load libomni.so
D [23/Jan/2004:12:38:45 +0200] [Job 7] Error: Loading
"/usr/lib/Omni/libomni.so" returns "/usr/lib/Omni/libomni.so: cannot
open shared object file: No such file or directory"
D [23/Jan/2004:12:38:45 +0200] [Job 7] Error: Loading
"/opt/Omni/bin/libomni.so" returns "/opt/Omni/bin/libomni.so: cannot
open shared object file: No such file or directory"
D [23/Jan/2004:12:38:45 +0200] [Job 7] Error: Loading
"/opt/Omni/lib/libomni.so" returns "/opt/Omni/lib/libomni.so: cannot
open shared object file: No such file or directory"
D [23/Jan/2004:12:38:45 +0200] [Job 7] Error: Loading "./libomni.so"
returns "./libomni.so: cannot open shared object file: No such file or
directory"
D [23/Jan/2004:12:38:45 +0200] [Job 7] Error: Loading "libomni.so"
returns "libomni.so: cannot open shared object file: No such file or
directory"
D [23/Jan/2004:12:38:45 +0200] [Job 7]
D [23/Jan/2004:12:38:45 +0200] [Job 7] <<<<<<<<<<<<<<<<<<<<<< ERROR
>>>>>>>>>>>>>>>>>>>>>>>
D [23/Jan/2004:12:38:45 +0200] [Job 7]
D [23/Jan/2004:12:38:45 +0200] [Job 7] Error: Could not load libomni.so
D [23/Jan/2004:12:38:45 +0200] [Job 7] renderer return value: 1
D [23/Jan/2004:12:38:45 +0200] [Job 7] renderer received signal: 1
D [23/Jan/2004:12:38:45 +0200] [Job 7] Process dying with "Possible
error on renderer command line or PostScript error. Check options.",
exit stat: 3
D [23/Jan/2004:12:38:45 +0200] [Job 7] Possible error on renderer
command line or PostScript error. Check options.
D [23/Jan/2004:12:38:45 +0200] [Job 7] tail process done writing data
to STDOUT
D [23/Jan/2004:12:38:45 +0200] [Job 7] KID4 finished
D [23/Jan/2004:12:38:46 +0200] [Job 7] 0 %%Trailer
D [23/Jan/2004:12:38:46 +0200] [Job 7] Saw Trailer!
D [23/Jan/2004:12:38:46 +0200] [Job 7] Saw EOF!
D [23/Jan/2004:12:38:46 +0200] [Job 7]
D [23/Jan/2004:12:38:46 +0200] [Job 7] Closing renderer
D [23/Jan/2004:12:38:46 +0200] [Job 7] KID3 exited with status 3
D [23/Jan/2004:12:38:46 +0200] [Job 7] Renderer exit stat: 3
D [23/Jan/2004:12:38:46 +0200] [Job 7] Renderer process finished
D [23/Jan/2004:12:38:46 +0200] [Job 7] Killing process 23018 (KID3)
D [23/Jan/2004:12:38:46 +0200] [Job 7] Process dying with "Error
closing renderer", exit stat: 3
D [23/Jan/2004:12:38:46 +0200] [Job 7] Error closing renderer
E [23/Jan/2004:12:38:46 +0200] PID 23016 stopped with status 3!


Expected results:
Print nicely. ;)
Comment 1 Tim Waugh 2004-01-23 12:18:39 EST
Oops, thanks for diagnosing the problem.  Fixed package is 0.9.1-2,
which should show up in rawhide over the next few days.

Note You need to log in before you can comment on or make changes to this bug.